<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    
    // promise.all() kịch bản thất bại
    const p1 = Promise.resolve(100) 
    const p2 = new Promise((resolve,reject)=>{
        setTimeout(()=>{
            reject('rejection')
        },1000)
    })
    const p3 = new Promise((resolve, reject)=>{
        setTimeout(()=>{
            resolve('Appdividend')
        },500)
    })
    Promise.all([p1,p2,p3]).then(values=>{
        console.log(values)
    })
    </script>
</body>
</html>